# Copyright (C) 2010 Linaro Limited
#
# Author: Zygmunt Krynicki <zygmunt.krynicki@linaro.org>
#
# This file is part of django-reports.
#
# django-reports is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3
# as published by the Free Software Foundation
#
# django-reports is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with django-reports.  If not, see <http://www.gnu.org/licenses/>.


class IReport(object):
    """
    Report application interface
    """

    def __init__(self, config):
        """
        Instantiate report with configuration
        """
        raise NotImplementedError

    def render(self, request):
        """
        Render report
        """
        raise NotImplementedError

    @classmethod
    def get_report_name(cls):
        """
        Get translated report (class) name
        """
        raise NotImplementedError

    @classmethod
    def get_settings_form(cls):
        """
        Get report settings form
        """
        raise NotImplementedError

    @classmethod
    def get_settings_schema(cls):
        """
        Get report settings schema
        """
        raise NotImplementedError


class IDataSource(object):
    pass
